<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('gender');
            $table->integer('age')->nullable();
            $table->string('fullname')->nullable();
            $table->string('sur_name')->nullable();
            $table->string('given_name')->nullable();
            $table->string('mobile')->nullable();
            $table->string('landline')->nullable();
            $table->string('local_contact_no')->nullable();
            $table->string('email');
            $table->string('occupation')->nullable();
            $table->string('passport_no');
            $table->string('old_passport_no')->nullable();
            $table->string('marital_status');
            $table->integer('user_type_id');
            $table->string('reference_code')->nullable();
            $table->string('points')->nullable();
            $table->string('registration_status')->nullable();
            $table->string('qr_code')->nullable();
            $table->string('norka_id')->nullable();
            $table->tinyInteger('status')->default('0');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
